Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001668Piwigousers & groupspublic2010.05.21 22:592013.12.27 21:50
Reportereric 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformApacheOSLinuxOS VersionPWG 2.x
Product Version2.1.0 
Target Version2.6.0RC1Fixed in Version2.6.0RC1 
Summary0001668: redesign user manager
DescriptionIn users management page, we could add a sort of users clicking on the column header. One click = Ascending, 2 clicks = Descending. Default sort should be on user's status.

This request was from this FR topic : http://fr.piwigo.org/forum/viewtopic.php?id=17758 [^]
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
parent of 0001703assignedplg [Evolution] Sorting users list table 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0004070)
plg (manager)
2010.07.26 00:48

I plan to redesign the user management screen and use a jQuery plugin like datatables http://www.datatables.net [^] and we automatically get sorting on column headers.
(0004092)
eric (developer)
2010.08.06 23:44

This bug is duplicate of bug 1703. I have reconciled them. You can also assign it. ;-)
(0007203)
svn (reporter)
2013.10.28 17:25

[Subversion] r25194 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668, in progress: redesign user manager (jQuery datatables, AJAX calls)
(0007206)
svn (reporter)
2013.10.28 19:16

[Subversion] r25197 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: add DataTables
(0007207)
svn (reporter)
2013.10.28 20:18

[Subversion] r25198 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: implement all remaining actions (all using the new version of pwg.users.setInfo with multiple user_id)
(0007210)
svn (reporter)
2013.10.30 13:54

[Subversion] r25237 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668, user manager redesign: ability to add a new user (call to pwg.users.add through AJAX)

Move the "send connection settings" code to function register_user (avoid code duplication).
(0007230)
svn (reporter)
2013.11.08 22:50

[Subversion] r25405 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: first draft, add a complete form to edit user properties inside the DataTable.
(0007234)
svn (reporter)
2013.11.11 11:03

[Subversion] r25445 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: add a <form> to avoid confusing input[type=radio] (enabled_high, show_nb_hits...) between users.
(0007236)
svn (reporter)
2013.11.11 14:36

[Subversion] r25457 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: visual enhancement for user manager redesign. Appropriate
(fontello) icons for open/close user details, appropriate colors for
DataTables.
(0007246)
svn (reporter)
2013.11.13 15:40

[Subversion] r25475 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: new display of userDetails, manage group list in user details,
display registration date in user list.

work in progress, not finished yet.
(0007247)
svn (reporter)
2013.11.13 20:43

[Subversion] r25479 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: delete single user, better colors for admin dark theme.
(0007248)
svn (reporter)
2013.11.14 14:41

[Subversion] r25483 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: implement "change password" and "edit username"
(0007250)
svn (reporter)
2013.11.15 23:28

[Subversion] r25491 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: in user details, ability to modify recent_period and nb_image_page with sliders
(0007251)
svn (reporter)
2013.11.15 23:37

[Subversion] r25492 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: nb_image_page or recent_period in database will automatically take the nearest (bigger) value in the value list
(0007252)
svn (reporter)
2013.11.16 23:02

[Subversion] r25502 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: add new language strings for the new user manager.
(0007261)
svn (reporter)
2013.11.18 14:53

[Subversion] r25549 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: replace "Interface theme" by "Theme".
(0007288)
svn (reporter)
2013.12.12 10:51

[Subversion] r25928 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: hide "delete" link for protected users, hide "change username" and "email address" for guest
(0007293)
svn (reporter)
2013.12.18 20:59

[Subversion] r26028 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: escape login and password in registration email
(0007294)
svn (reporter)
2013.12.20 13:37

[Subversion] r26049 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: translate user status in user list
(0007295)
svn (reporter)
2013.12.20 13:59

[Subversion] r26050 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: protect dataTables backend script (ajax called, serverside processing)
(0007296)
svn (reporter)
2013.12.20 14:33

[Subversion] r26051 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668, user manager redesign:

* bug fixed: initialize nb_image_page and recent_period with current user
* in batch actions, use sliders for recent_period and nb_image_page
(0007297)
svn (reporter)
2013.12.20 15:02

[Subversion] r26052 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668, user manager redesign: do not let the administrator try to
modify the status of protected users (pwg.users.setInfo will deactivate
status change for these users anyway)
(0007299)
svn (reporter)
2013.12.23 13:56

[Subversion] r26117 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
bug fixed (related to feature 1668): remove link to user manager filtered on
group from group manager. This feature is less useful since member list is
shown on group manager and filter feature not implemented yet on new user manager.
(0007300)
svn (reporter)
2013.12.24 15:30

[Subversion] r26177 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668, user manager redesign: change the way we open user details to make it "more obvious"
(0007301)
svn (reporter)
2013.12.26 13:26

[Subversion] r26230 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: change the link text to "close" (with the appropriate icon) when user profile is open.
(0007302)
svn (reporter)
2013.12.27 21:50

[Subversion] r26270 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1668: use underscore.js to template the userDetails instead of
generating HTML directly in javascript. Will make work easier for plugins
modifying the user profile.

- Issue History
Date Modified Username Field Change
2010.05.21 22:59 eric New Issue
2010.05.21 22:59 eric browser => any
2010.05.21 22:59 eric Web server => Apache 1.3.x
2010.07.26 00:48 plg Note Added: 0004070
2010.07.26 00:48 plg Assigned To => plg
2010.07.26 00:48 plg Status new => assigned
2010.07.26 00:48 plg Target Version => 2.2
2010.08.06 23:40 eric Relationship added parent of 0001703
2010.08.06 23:44 eric Note Added: 0004092
2011.01.18 15:43 plg Target Version 2.2 => 2.3
2013.10.28 17:22 plg Target Version 2.3.0beta1 => 2.6.0beta2
2013.10.28 17:22 plg Summary Adding a sort of users => redesign user manager
2013.10.28 17:25 svn Checkin
2013.10.28 17:25 svn Note Added: 0007203
2013.10.28 19:16 svn Checkin
2013.10.28 19:16 svn Note Added: 0007206
2013.10.28 20:18 svn Checkin
2013.10.28 20:18 svn Note Added: 0007207
2013.10.30 13:54 svn Checkin
2013.10.30 13:54 svn Note Added: 0007210
2013.11.01 14:01 plg Target Version 2.6.0beta2 => 2.6.0RC1
2013.11.08 22:50 svn Checkin
2013.11.08 22:50 svn Note Added: 0007230
2013.11.11 11:03 svn Checkin
2013.11.11 11:03 svn Note Added: 0007234
2013.11.11 14:36 svn Checkin
2013.11.11 14:36 svn Note Added: 0007236
2013.11.13 15:40 svn Checkin
2013.11.13 15:40 svn Note Added: 0007246
2013.11.13 20:43 svn Checkin
2013.11.13 20:43 svn Note Added: 0007247
2013.11.14 14:41 svn Checkin
2013.11.14 14:41 svn Note Added: 0007248
2013.11.15 23:28 svn Checkin
2013.11.15 23:28 svn Note Added: 0007250
2013.11.15 23:37 svn Checkin
2013.11.15 23:37 svn Note Added: 0007251
2013.11.16 23:02 svn Checkin
2013.11.16 23:02 svn Note Added: 0007252
2013.11.18 14:53 svn Checkin
2013.11.18 14:53 svn Note Added: 0007261
2013.11.19 14:53 plg Status assigned => closed
2013.11.19 14:53 plg Resolution open => fixed
2013.11.19 14:53 plg Fixed in Version => 2.6.0RC1
2013.12.12 10:51 svn Checkin
2013.12.12 10:51 svn Note Added: 0007288
2013.12.18 20:59 svn Checkin
2013.12.18 20:59 svn Note Added: 0007293
2013.12.20 13:37 svn Checkin
2013.12.20 13:37 svn Note Added: 0007294
2013.12.20 13:59 svn Checkin
2013.12.20 13:59 svn Note Added: 0007295
2013.12.20 14:33 svn Checkin
2013.12.20 14:33 svn Note Added: 0007296
2013.12.20 15:02 svn Checkin
2013.12.20 15:02 svn Note Added: 0007297
2013.12.23 13:56 svn Checkin
2013.12.23 13:56 svn Note Added: 0007299
2013.12.24 15:30 svn Checkin
2013.12.24 15:30 svn Note Added: 0007300
2013.12.26 13:26 svn Checkin
2013.12.26 13:26 svn Note Added: 0007301
2013.12.27 21:50 svn Checkin
2013.12.27 21:50 svn Note Added: 0007302


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker